Index: trunk/src/org/openstreetmap/josm/data/projection/datum/NTV2GridShift.java
===================================================================
--- trunk/src/org/openstreetmap/josm/data/projection/datum/NTV2GridShift.java	(revision 5551)
+++ trunk/src/org/openstreetmap/josm/data/projection/datum/NTV2GridShift.java	(revision 5817)
@@ -58,5 +58,6 @@
 
     /**
-     * @return
+     * Data access function for latitude value
+     * @return latitude in seconds
      */
     public double getLatSeconds() {
@@ -65,5 +66,6 @@
 
     /**
-     * @return
+     * Data access function for latitude value
+     * @return latitude in degree
      */
     public double getLatDegrees() {
@@ -72,5 +74,6 @@
 
     /**
-     * @return
+     * Data access function for latitude shift value
+     * @return latitude shift in seconds
      */
     public double getLatShiftSeconds() {
@@ -79,5 +82,6 @@
 
     /**
-     * @return
+     * Data access function for latitude shift value
+     * @return latitude shift in degree
      */
     public double getLatShiftDegrees() {
@@ -86,5 +90,6 @@
 
     /**
-     * @return
+     * Data access function for already shifted latitude value
+     * @return shifted latitude in seconds
      */
     public double getShiftedLatSeconds() {
@@ -93,5 +98,6 @@
 
     /**
-     * @return
+     * Data access function for already shifted latitude value
+     * @return shifted latitude in degree
      */
     public double getShiftedLatDegrees() {
@@ -100,5 +106,6 @@
 
     /**
-     * @return
+     * Checks whether latitude accuracy is available or not
+     * @return <code>true</code> if latitude accuracy is available
      */
     public boolean isLatAccuracyAvailable() {
@@ -107,5 +114,6 @@
 
     /**
-     * @return
+     * Data access function for latitude accuracy
+     * @return latitude accuracy in seconds
      */
     public double getLatAccuracySeconds() {
@@ -116,5 +124,6 @@
 
     /**
-     * @return
+     * Data access function for latitude accuracy
+     * @return latitude accuracy in degree
      */
     public double getLatAccuracyDegrees() {
@@ -125,5 +134,6 @@
 
     /**
-     * @return
+     * Data access function for latitude accuracy
+     * @return latitude accuracy in meter
      */
     public double getLatAccuracyMetres() {
@@ -134,5 +144,6 @@
 
     /**
-     * @return
+     * Data access function for longitude value, positive values in west direction
+     * @return longitude in seconds
      */
     public double getLonPositiveWestSeconds() {
@@ -141,5 +152,6 @@
 
     /**
-     * @return
+     * Data access function for longitude value, positive values in east direction
+     * @return longitude in degree
      */
     public double getLonPositiveEastDegrees() {
@@ -148,5 +160,6 @@
 
     /**
-     * @return
+     * Data access function for longitude shift value, positive values in west direction
+     * @return longitude shift in seconds
      */
     public double getLonShiftPositiveWestSeconds() {
@@ -155,5 +168,6 @@
 
     /**
-     * @return
+     * Data access function for longitude shift value, positive values in east direction
+     * @return longitude shift in degree
      */
     public double getLonShiftPositiveEastDegrees() {
@@ -162,5 +176,6 @@
 
     /**
-     * @return
+     * Data access function for shifted longitude value, positive values in west direction
+     * @return shifted longitude in seconds
      */
     public double getShiftedLonPositiveWestSeconds() {
@@ -169,5 +184,6 @@
 
     /**
-     * @return
+     * Data access function for shifted longitude value, positive values in east direction
+     * @return shifted longitude in degree
      */
     public double getShiftedLonPositiveEastDegrees() {
@@ -176,5 +192,6 @@
 
     /**
-     * @return
+     * Checks whether longitude accuracy is available or not
+     * @return <code>true</code> if longitude accuracy is available
      */
     public boolean isLonAccuracyAvailable() {
@@ -183,5 +200,6 @@
 
     /**
-     * @return
+     * Data access function for longitude accuracy
+     * @return longitude accuracy in seconds
      */
     public double getLonAccuracySeconds() {
@@ -192,5 +210,6 @@
 
     /**
-     * @return
+     * Data access function for longitude accuracy
+     * @return longitude accuracy in degree
      */
     public double getLonAccuracyDegrees() {
@@ -201,5 +220,6 @@
 
     /**
-     * @return
+     * Data access function for longitude accuracy
+     * @return longitude accuracy in meter
      */
     public double getLonAccuracyMetres() {
@@ -210,5 +230,6 @@
 
     /**
-     * @param d
+     * Data store function for latitude
+     * @param d latitude value in seconds
      */
     public void setLatSeconds(double d) {
@@ -217,5 +238,6 @@
 
     /**
-     * @param d
+     * Data store function for latitude
+     * @param d latitude value in degree
      */
     public void setLatDegrees(double d) {
@@ -224,5 +246,6 @@
 
     /**
-     * @param b
+     * Data store function for latitude accuracy availability
+     * @param b availability of latitude accuracy
      */
     public void setLatAccuracyAvailable(boolean b) {
@@ -231,5 +254,6 @@
 
     /**
-     * @param d
+     * Data store function for latitude accuracy
+     * @param d latitude accuracy in seconds
      */
     public void setLatAccuracySeconds(double d) {
@@ -238,5 +262,6 @@
 
     /**
-     * @param d
+     * Data store function for latitude shift
+     * @param d latitude shift in seconds
      */
     public void setLatShiftSeconds(double d) {
@@ -245,5 +270,6 @@
 
     /**
-     * @param d
+     * Data store function for longitude
+     * @param d latitude value in seconds, west direction is positive
      */
     public void setLonPositiveWestSeconds(double d) {
@@ -252,5 +278,6 @@
 
     /**
-     * @param d
+     * Data store function for longitude
+     * @param d latitude value in degree, est direction is positive
      */
     public void setLonPositiveEastDegrees(double d) {
@@ -259,5 +286,6 @@
 
     /**
-     * @param b
+     * Data store function for longitude accuracy availability
+     * @param b availability of longitude accuracy
      */
     public void setLonAccuracyAvailable(boolean b) {
@@ -266,5 +294,6 @@
 
     /**
-     * @param d
+     * Data store function for longitude accuracy
+     * @param d longitude accuracy in seconds
      */
     public void setLonAccuracySeconds(double d) {
@@ -273,5 +302,6 @@
 
     /**
-     * @param d
+     * Data store function for longitude shift value
+     * @param d longitude shift in seconds, west direction is positive
      */
     public void setLonShiftPositiveWestSeconds(double d) {
@@ -280,5 +310,6 @@
 
     /**
-     * @return
+     * Get the name of the sub grid
+     * @return name of the sub grid
      */
     public String getSubGridName() {
@@ -287,5 +318,6 @@
 
     /**
-     * @param string
+     * Set the name of the sub grid
+     * @param string name of the sub grid
      */
     public void setSubGridName(String string) {
@@ -295,5 +327,5 @@
     /**
      * Make this object a copy of the supplied GridShift
-     * @param gs
+     * @param gs grid to copy data from
      */
     public void copy(NTV2GridShift gs) {