Index: trunk/src/org/openstreetmap/josm/actions/audio/AudioBackAction.java
===================================================================
--- trunk/src/org/openstreetmap/josm/actions/audio/AudioBackAction.java	(revision 4982)
+++ trunk/src/org/openstreetmap/josm/actions/audio/AudioBackAction.java	(revision 5871)
@@ -15,6 +15,13 @@
 import org.openstreetmap.josm.tools.Shortcut;
 
+/**
+ * Jump the audio backward 10 seconds and start playing if paused. 
+ * @since 547
+ */
 public class AudioBackAction extends JosmAction {
 
+    /**
+     * Constructs a new {@code AudioBackAction}.
+     */
     public AudioBackAction() {
         super(trc("audio", "Back"), "audio-back", trc("audio", "Jump back."),
@@ -27,5 +34,5 @@
             if (AudioPlayer.playing() || AudioPlayer.paused())
                 AudioPlayer.play(AudioPlayer.url(), AudioPlayer.position()
-                - Main.pref.getDouble("audio.forwardbackamount","10.0"));
+                - Main.pref.getDouble("audio.forwardbackamount", 10.0));
             else
                 MarkerLayer.playAudio();
Index: trunk/src/org/openstreetmap/josm/actions/audio/AudioFastSlowAction.java
===================================================================
--- trunk/src/org/openstreetmap/josm/actions/audio/AudioFastSlowAction.java	(revision 4982)
+++ trunk/src/org/openstreetmap/josm/actions/audio/AudioFastSlowAction.java	(revision 5871)
@@ -9,11 +9,24 @@
 import org.openstreetmap.josm.tools.Shortcut;
 
+/**
+ * Abstract superclass of {@link AudioFasterAction} and {@link AudioSlowerAction}.
+ * @since 563
+ */
 abstract public class AudioFastSlowAction extends JosmAction {
 
     private double multiplier;
 
+    /**
+     * Constructs a new {@code AudioFastSlowAction}.
+     * 
+     * @param name the action's text as displayed on the menu (if it is added to a menu)
+     * @param iconName the filename of the icon to use
+     * @param tooltip  a longer description of the action that will be displayed in the tooltip.
+     * @param shortcut a ready-created shortcut object.
+     * @param fast {@code true} to increase speed (faster audio), {@code false} to decrease it (slower audio).
+     */
     public AudioFastSlowAction(String name, String iconName, String tooltip, Shortcut shortcut, boolean fast) {
         super(name, iconName, tooltip, shortcut, true);
-        multiplier = Main.pref.getDouble("audio.fastfwdmultiplier","1.3");
+        multiplier = Main.pref.getDouble("audio.fastfwdmultiplier", 1.3);
         if (! fast)
             multiplier = 1.0 / multiplier;
Index: trunk/src/org/openstreetmap/josm/actions/audio/AudioFasterAction.java
===================================================================
--- trunk/src/org/openstreetmap/josm/actions/audio/AudioFasterAction.java	(revision 4982)
+++ trunk/src/org/openstreetmap/josm/actions/audio/AudioFasterAction.java	(revision 5871)
@@ -10,6 +10,14 @@
 import org.openstreetmap.josm.tools.Shortcut;
 
+/**
+ * Increase the speed of audio playback.
+ * Each use increases the speed further until one of the other controls is used. 
+ * @since 563
+ */
 public class AudioFasterAction extends AudioFastSlowAction {
 
+    /**
+     * Constructs a new {@code AudioFasterAction}.
+     */
     public AudioFasterAction() {
         super(trc("audio", "Faster"), "audio-faster", trc("audio", "Faster Forward"),
Index: trunk/src/org/openstreetmap/josm/actions/audio/AudioFwdAction.java
===================================================================
--- trunk/src/org/openstreetmap/josm/actions/audio/AudioFwdAction.java	(revision 4982)
+++ trunk/src/org/openstreetmap/josm/actions/audio/AudioFwdAction.java	(revision 5871)
@@ -14,5 +14,13 @@
 import org.openstreetmap.josm.tools.Shortcut;
 
+/**
+ * Jump the audio forward 10 seconds.
+ * @since 547
+ */
 public class AudioFwdAction extends JosmAction {
+    
+    /**
+     * Constructs a new {@code AudioFwdAction}.
+     */
     public AudioFwdAction() {
         super(trc("audio", "Forward"), "audio-fwd", trc("audio", "Jump forward"),
@@ -24,5 +32,5 @@
             if (AudioPlayer.playing() || AudioPlayer.paused())
                 AudioPlayer.play(AudioPlayer.url(), AudioPlayer.position()
-                + Main.pref.getDouble("audio.forwardbackamount","10.0"));
+                + Main.pref.getDouble("audio.forwardbackamount", 10.0));
             else
                 MarkerLayer.playAudio();
Index: trunk/src/org/openstreetmap/josm/actions/audio/AudioNextAction.java
===================================================================
--- trunk/src/org/openstreetmap/josm/actions/audio/AudioNextAction.java	(revision 4982)
+++ trunk/src/org/openstreetmap/josm/actions/audio/AudioNextAction.java	(revision 5871)
@@ -12,6 +12,14 @@
 import org.openstreetmap.josm.tools.Shortcut;
 
+/**
+ * Play the sound track from the Audio Marker after the one most recently played.<br/>
+ * Play from the first such Marker if none has been played, or repeat the last marker if at the end. 
+ * @since 547
+ */
 public class AudioNextAction extends JosmAction {
 
+    /**
+     * Constructs a new {@code AudioNextAction}.
+     */
     public AudioNextAction() {
         super(trc("audio", "Next Marker"), "audio-next", trc("audio", "Play next marker."),
Index: trunk/src/org/openstreetmap/josm/actions/audio/AudioPlayPauseAction.java
===================================================================
--- trunk/src/org/openstreetmap/josm/actions/audio/AudioPlayPauseAction.java	(revision 4982)
+++ trunk/src/org/openstreetmap/josm/actions/audio/AudioPlayPauseAction.java	(revision 5871)
@@ -13,6 +13,15 @@
 import org.openstreetmap.josm.tools.Shortcut;
 
+/**
+ * If not playing, play the sound track from the first Audio Marker, or from the point at which it was paused.<br/>
+ * If playing, pause the sound.<br/>
+ * If fast forwarding or slow forwarding, resume normal speed. 
+ * @since 547
+ */
 public class AudioPlayPauseAction extends JosmAction {
 
+    /**
+     * Constructs a new {@code AudioPlayPauseAction}.
+     */
     public AudioPlayPauseAction() {
         super(trc("audio", "Play/Pause"), "audio-playpause", tr("Play/pause audio."),
Index: trunk/src/org/openstreetmap/josm/actions/audio/AudioPrevAction.java
===================================================================
--- trunk/src/org/openstreetmap/josm/actions/audio/AudioPrevAction.java	(revision 4982)
+++ trunk/src/org/openstreetmap/josm/actions/audio/AudioPrevAction.java	(revision 5871)
@@ -12,6 +12,14 @@
 import org.openstreetmap.josm.tools.Shortcut;
 
+/**
+ * Play the sound track from the Audio Marker before the one most recently played.<br/>
+ * Play from the first such Marker if none has been played or already at the first marker. 
+ * @since 547
+ */
 public class AudioPrevAction extends JosmAction {
 
+    /**
+     * Constructs a new {@code AudioPrevAction}.
+     */
     public AudioPrevAction() {
         super(trc("audio", "Previous Marker"), "audio-prev", trc("audio", "Play previous marker."),
Index: trunk/src/org/openstreetmap/josm/actions/audio/AudioSlowerAction.java
===================================================================
--- trunk/src/org/openstreetmap/josm/actions/audio/AudioSlowerAction.java	(revision 4982)
+++ trunk/src/org/openstreetmap/josm/actions/audio/AudioSlowerAction.java	(revision 5871)
@@ -10,9 +10,17 @@
 import org.openstreetmap.josm.tools.Shortcut;
 
+/**
+ * Decrease the speed of audio playback.
+ * Each use decreases the speed further until one of the other controls is used. 
+ * @since 563
+ */
 public class AudioSlowerAction extends AudioFastSlowAction {
 
+    /**
+     * Constructs a new {@code AudioSlowerAction}.
+     */
     public AudioSlowerAction() {
         super(trc("audio", "Slower"), "audio-slower", trc("audio", "Slower Forward"),
-        Shortcut.registerShortcut("audio:slower", tr("Audio: {0}", trc("audio", "Slower")), KeyEvent.VK_F4, Shortcut.DIRECT), true);
+        Shortcut.registerShortcut("audio:slower", tr("Audio: {0}", trc("audio", "Slower")), KeyEvent.VK_F4, Shortcut.DIRECT), false);
         this.putValue("help", ht("/Action/AudioSlower"));
     }