Index: trunk/src/org/openstreetmap/josm/gui/preferences/imagery/AddImageryPanel.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/preferences/imagery/AddImageryPanel.java	(revision 5808)
+++ trunk/src/org/openstreetmap/josm/gui/preferences/imagery/AddImageryPanel.java	(revision 5886)
@@ -9,6 +9,4 @@
 import javax.swing.AbstractButton;
 import javax.swing.JPanel;
-import javax.swing.JTextArea;
-import javax.swing.JTextField;
 import javax.swing.event.ChangeEvent;
 import javax.swing.event.ChangeListener;
@@ -18,4 +16,6 @@
 
 import org.openstreetmap.josm.data.imagery.ImageryInfo;
+import org.openstreetmap.josm.gui.widgets.JosmTextArea;
+import org.openstreetmap.josm.gui.widgets.JosmTextField;
 
 /**
@@ -27,6 +27,6 @@
 public abstract class AddImageryPanel extends JPanel {
 
-    protected final JTextArea rawUrl = new JTextArea(3, 40);
-    protected final JTextField name = new JTextField();
+    protected final JosmTextArea rawUrl = new JosmTextArea(3, 40);
+    protected final JosmTextField name = new JosmTextField();
     
     protected final Collection<ContentValidationListener> listeners = new ArrayList<ContentValidationListener>();
Index: trunk/src/org/openstreetmap/josm/gui/preferences/imagery/AddTMSLayerPanel.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/preferences/imagery/AddTMSLayerPanel.java	(revision 5808)
+++ trunk/src/org/openstreetmap/josm/gui/preferences/imagery/AddTMSLayerPanel.java	(revision 5886)
@@ -10,9 +10,9 @@
 
 import javax.swing.JLabel;
-import javax.swing.JTextArea;
-import javax.swing.JTextField;
 import javax.swing.text.View;
 
 import org.openstreetmap.josm.data.imagery.ImageryInfo;
+import org.openstreetmap.josm.gui.widgets.JosmTextArea;
+import org.openstreetmap.josm.gui.widgets.JosmTextField;
 import org.openstreetmap.josm.tools.GBC;
 import org.openstreetmap.josm.tools.Utils;
@@ -20,6 +20,6 @@
 public class AddTMSLayerPanel extends AddImageryPanel {
 
-    private final JTextField tmsZoom = new JTextField();
-    private final JTextArea tmsUrl = new JTextArea(3, 40);
+    private final JosmTextField tmsZoom = new JosmTextField();
+    private final JosmTextArea tmsUrl = new JosmTextArea(3, 40);
     private final KeyAdapter keyAdapter = new KeyAdapter() {
         @Override
@@ -29,4 +29,7 @@
     };
 
+    /**
+     * Constructs a new {@code AddTMSLayerPanel}.
+     */
     public AddTMSLayerPanel() {
 
Index: trunk/src/org/openstreetmap/josm/gui/preferences/imagery/AddWMSLayerPanel.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/preferences/imagery/AddWMSLayerPanel.java	(revision 5808)
+++ trunk/src/org/openstreetmap/josm/gui/preferences/imagery/AddWMSLayerPanel.java	(revision 5886)
@@ -18,8 +18,8 @@
 import javax.swing.JOptionPane;
 import javax.swing.JScrollPane;
-import javax.swing.JTextArea;
 
 import org.openstreetmap.josm.data.imagery.ImageryInfo;
 import org.openstreetmap.josm.gui.bbox.SlippyMapBBoxChooser;
+import org.openstreetmap.josm.gui.widgets.JosmTextArea;
 import org.openstreetmap.josm.io.imagery.WMSImagery;
 import org.openstreetmap.josm.tools.GBC;
@@ -32,7 +32,10 @@
     private final WMSLayerTree tree = new WMSLayerTree();
     private final JLabel wmsInstruction;
-    private final JTextArea wmsUrl = new JTextArea(3, 40);
+    private final JosmTextArea wmsUrl = new JosmTextArea(3, 40);
     private final JButton showBounds = new JButton(tr("Show bounds"));
 
+    /**
+     * Constructs a new {@code AddWMSLayerPanel}.
+     */
     public AddWMSLayerPanel() {
 
Index: trunk/src/org/openstreetmap/josm/gui/preferences/imagery/ImageryPreference.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/preferences/imagery/ImageryPreference.java	(revision 5808)
+++ trunk/src/org/openstreetmap/josm/gui/preferences/imagery/ImageryPreference.java	(revision 5886)
@@ -29,5 +29,4 @@
 import javax.swing.Box;
 import javax.swing.JButton;
-import javax.swing.JEditorPane;
 import javax.swing.JLabel;
 import javax.swing.JOptionPane;
@@ -62,4 +61,5 @@
 import org.openstreetmap.josm.gui.preferences.PreferenceSettingFactory;
 import org.openstreetmap.josm.gui.preferences.PreferenceTabbedPane;
+import org.openstreetmap.josm.gui.widgets.JosmEditorPane;
 import org.openstreetmap.josm.tools.GBC;
 import org.openstreetmap.josm.tools.ImageProvider;
@@ -663,12 +663,12 @@
             try {
                 url = new URL(eulaUrl.replaceAll("\\{lang\\}", LanguageInfo.getWikiLanguagePrefix()));
-                JEditorPane htmlPane = null;
+                JosmEditorPane htmlPane = null;
                 try {
-                    htmlPane = new JEditorPane(url);
+                    htmlPane = new JosmEditorPane(url);
                 } catch (IOException e1) {
                     // give a second chance with a default Locale 'en'
                     try {
                         url = new URL(eulaUrl.replaceAll("\\{lang\\}", ""));
-                        htmlPane = new JEditorPane(url);
+                        htmlPane = new JosmEditorPane(url);
                     } catch (IOException e2) {
                         JOptionPane.showMessageDialog(gui ,tr("EULA license URL not available: {0}", eulaUrl));
Index: trunk/src/org/openstreetmap/josm/gui/preferences/imagery/TMSSettingsPanel.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/preferences/imagery/TMSSettingsPanel.java	(revision 5808)
+++ trunk/src/org/openstreetmap/josm/gui/preferences/imagery/TMSSettingsPanel.java	(revision 5886)
@@ -10,9 +10,9 @@
 import javax.swing.JPanel;
 import javax.swing.JSpinner;
-import javax.swing.JTextField;
 import javax.swing.SpinnerNumberModel;
 
 import org.openstreetmap.josm.gui.layer.TMSLayer;
 import org.openstreetmap.josm.tools.GBC;
+import org.openstreetmap.josm.gui.widgets.JosmTextField;
 
 /**
@@ -28,5 +28,5 @@
     private final JSpinner maxZoomLvl;
     private final JCheckBox addToSlippyMapChosser = new JCheckBox();
-    private final JTextField tilecacheDir = new JTextField();
+    private final JosmTextField tilecacheDir = new JosmTextField();
 
     /**