Index: trunk/src/org/openstreetmap/josm/data/projection/AbstractProjection.java
===================================================================
--- trunk/src/org/openstreetmap/josm/data/projection/AbstractProjection.java	(revision 6003)
+++ trunk/src/org/openstreetmap/josm/data/projection/AbstractProjection.java	(revision 6069)
@@ -100,5 +100,5 @@
         return degree + (minute/60.0) + (second/3600.0);
     }
-    
+
     public void dump() {
         System.err.println("x_0="+x_0);
Index: trunk/src/org/openstreetmap/josm/data/projection/Projection.java
===================================================================
--- trunk/src/org/openstreetmap/josm/data/projection/Projection.java	(revision 6003)
+++ trunk/src/org/openstreetmap/josm/data/projection/Projection.java	(revision 6069)
@@ -50,5 +50,5 @@
      * If projection supports parameters, return a different code
      * for each set of parameters.
-     * 
+     *
      * The EPSG code can be used (if defined for the projection).
      *
Index: trunk/src/org/openstreetmap/josm/data/projection/datum/AbstractDatum.java
===================================================================
--- trunk/src/org/openstreetmap/josm/data/projection/datum/AbstractDatum.java	(revision 6003)
+++ trunk/src/org/openstreetmap/josm/data/projection/datum/AbstractDatum.java	(revision 6069)
@@ -5,5 +5,5 @@
 
 abstract public class AbstractDatum implements Datum {
-    
+
     protected String name;
     protected String proj4Id;
Index: trunk/src/org/openstreetmap/josm/data/projection/datum/Datum.java
===================================================================
--- trunk/src/org/openstreetmap/josm/data/projection/datum/Datum.java	(revision 6003)
+++ trunk/src/org/openstreetmap/josm/data/projection/datum/Datum.java	(revision 6069)
@@ -7,5 +7,5 @@
 /**
  * Represents a geodetic datum.
- * 
+ *
  * Basically it provides conversion functions from and to the WGS84 datum.
  */
@@ -23,5 +23,5 @@
      */
     String getProj4Id();
-    
+
     /**
      * @return the ellipsoid associated with this datum
@@ -33,5 +33,5 @@
      */
     LatLon toWGS84(LatLon ll);
-    
+
     /**
      * Convert lat/lon from WGS84 to this datum.
Index: trunk/src/org/openstreetmap/josm/data/projection/datum/NTV2GridShiftFileWrapper.java
===================================================================
--- trunk/src/org/openstreetmap/josm/data/projection/datum/NTV2GridShiftFileWrapper.java	(revision 6003)
+++ trunk/src/org/openstreetmap/josm/data/projection/datum/NTV2GridShiftFileWrapper.java	(revision 6069)
@@ -17,5 +17,5 @@
     public final static NTV2GridShiftFileWrapper BETA2007 = new NTV2GridShiftFileWrapper("resource://data/BETA2007.gsb");
     public final static NTV2GridShiftFileWrapper ntf_rgf93 = new NTV2GridShiftFileWrapper("resource://data/ntf_r93_b.gsb");
-    
+
 
     private NTV2GridShiftFile instance = null;
Index: trunk/src/org/openstreetmap/josm/data/projection/datum/SevenParameterDatum.java
===================================================================
--- trunk/src/org/openstreetmap/josm/data/projection/datum/SevenParameterDatum.java	(revision 6003)
+++ trunk/src/org/openstreetmap/josm/data/projection/datum/SevenParameterDatum.java	(revision 6069)
@@ -7,19 +7,19 @@
 /**
  * Datum provides general conversion from one ellipsoid to another.
- * 
+ *
  * Seven parameters can be specified:
  * - 3D offset
  * - general rotation
  * - scale
- * 
+ *
  * This method is described by EPSG as EPSG::9606.
  * Also known as Bursa-Wolf.
  */
 public class SevenParameterDatum extends AbstractDatum {
-    
+
     protected double dx, dy, dz, rx, ry, rz, s;
 
     /**
-     * 
+     *
      * @param name name of the datum
      * @param proj4Id Proj.4 identifier for this datum (or null)
@@ -61,4 +61,4 @@
         return this.ellps.cart2LatLon(new double[] { x, y, z });
     }
-    
+
 }
Index: trunk/src/org/openstreetmap/josm/data/projection/datum/ThreeParameterDatum.java
===================================================================
--- trunk/src/org/openstreetmap/josm/data/projection/datum/ThreeParameterDatum.java	(revision 6003)
+++ trunk/src/org/openstreetmap/josm/data/projection/datum/ThreeParameterDatum.java	(revision 6069)
@@ -9,5 +9,5 @@
  */
 public class ThreeParameterDatum extends AbstractDatum {
-    
+
     protected double dx, dy, dz;
 
@@ -36,4 +36,4 @@
         return this.ellps.cart2LatLon(xyz);
     }
-    
+
 }