Index: applications/editors/josm/nsis/josm.nsi
===================================================================
--- applications/editors/josm/nsis/josm.nsi	(revision 6070)
+++ applications/editors/josm/nsis/josm.nsi	(revision 6075)
@@ -341,12 +341,4 @@
 
 SectionGroup $(JOSM_SEC_PLUGINS_GROUP) SecPluginsGroup
-
-Section $(JOSM_SEC_MAPPAINT_PLUGIN) SecMappaintPlugin
-;-------------------------------------------
-SectionIn 1 2
-SetShellVarContext all
-SetOutPath $APPDATA\JOSM\plugins
-File "..\plugins\dist\mappaint.jar"
-SectionEnd
 
 ;Section "osmarender" SecOsmarenderPlugin
@@ -466,8 +458,8 @@
 ${Case} ${LANG_GERMAN}
 File "..\plugins\dist\lang-de.jar"
-${WriteINIStrNS} $R0 "$APPDATA\JOSM\preferences" "plugins" "mappaint,wmsplugin,namefinder,validator,lang-de"
+${WriteINIStrNS} $R0 "$APPDATA\JOSM\preferences" "plugins" "wmsplugin,namefinder,validator,lang-de"
 ${Break}
 ${Default}
-${WriteINIStrNS} $R0 "$APPDATA\JOSM\preferences" "plugins" "mappaint,wmsplugin,namefinder,validator"
+${WriteINIStrNS} $R0 "$APPDATA\JOSM\preferences" "plugins" "wmsplugin,namefinder,validator"
 ${Break}
 ${EndSwitch}
@@ -491,6 +483,7 @@
 Delete "$INSTDIR\uninstall.exe"
 Delete "$APPDATA\JOSM\plugins\wmsplugin.jar"
+Delete "$APPDATA\JOSM\plugins\lang-de.jar"
 ;Delete "$APPDATA\JOSM\plugins\osmarender.jar"
-Delete "$APPDATA\JOSM\plugins\mappaint.jar"
+;Delete "$APPDATA\JOSM\plugins\mappaint.jar"
 Delete "$APPDATA\JOSM\plugins\namefinder.jar"
 Delete "$APPDATA\JOSM\plugins\validator.jar"
@@ -533,5 +526,5 @@
 ;Delete "$APPDATA\JOSM\de-streets.xml"
 RMDir "$APPDATA\JOSM"
-RMDir "$APPDATA\JOSM\plugins\mappaint"
+;RMDir "$APPDATA\JOSM\plugins\mappaint"
 SectionEnd
 
@@ -543,5 +536,5 @@
 ;Delete "$APPDATA\JOSM\plugins\osmarender.jar"
 ;Delete "$APPDATA\JOSM\plugins\osmarender\*.*"
-Delete "$APPDATA\JOSM\plugins\mappaint.jar"
+;Delete "$APPDATA\JOSM\plugins\mappaint.jar"
 Delete "$APPDATA\JOSM\plugins\namefinder.jar"
 Delete "$APPDATA\JOSM\plugins\validator\*.*"
@@ -570,5 +563,4 @@
   !insertmacro MUI_DESCRIPTION_TEXT ${SecJosm} $(JOSM_SECDESC_JOSM)
   !insertmacro MUI_DESCRIPTION_TEXT ${SecPluginsGroup} $(JOSM_SECDESC_PLUGINS_GROUP)
-  !insertmacro MUI_DESCRIPTION_TEXT ${SecMappaintPlugin} $(JOSM_SECDESC_MAPPAINT_PLUGIN)
   !insertmacro MUI_DESCRIPTION_TEXT ${SecWMSPlugin} $(JOSM_SECDESC_WMS_PLUGIN)
   !insertmacro MUI_DESCRIPTION_TEXT ${SecNamefinderPlugin} $(JOSM_SECDESC_NAMEFINDER_PLUGIN)
Index: applications/editors/josm/nsis/langmacros.nsh
===================================================================
--- applications/editors/josm/nsis/langmacros.nsh	(revision 6070)
+++ applications/editors/josm/nsis/langmacros.nsh	(revision 6075)
@@ -37,5 +37,4 @@
   !insertmacro JOSM_MACRO_LANGSTRING_INSERT JOSM_SEC_JOSM 					${CUR_LANG}
   !insertmacro JOSM_MACRO_LANGSTRING_INSERT JOSM_SEC_PLUGINS_GROUP 			${CUR_LANG}
-  !insertmacro JOSM_MACRO_LANGSTRING_INSERT JOSM_SEC_MAPPAINT_PLUGIN 		${CUR_LANG}
   !insertmacro JOSM_MACRO_LANGSTRING_INSERT JOSM_SEC_WMS_PLUGIN 			${CUR_LANG}
   !insertmacro JOSM_MACRO_LANGSTRING_INSERT JOSM_SEC_NAMEFINDER_PLUGIN 		${CUR_LANG}
@@ -48,5 +47,4 @@
   !insertmacro JOSM_MACRO_LANGSTRING_INSERT JOSM_SECDESC_JOSM				${CUR_LANG}
   !insertmacro JOSM_MACRO_LANGSTRING_INSERT JOSM_SECDESC_PLUGINS_GROUP		${CUR_LANG}
-  !insertmacro JOSM_MACRO_LANGSTRING_INSERT JOSM_SECDESC_MAPPAINT_PLUGIN	${CUR_LANG}
   !insertmacro JOSM_MACRO_LANGSTRING_INSERT JOSM_SECDESC_WMS_PLUGIN			${CUR_LANG}
   !insertmacro JOSM_MACRO_LANGSTRING_INSERT JOSM_SECDESC_NAMEFINDER_PLUGIN	${CUR_LANG}
Index: applications/editors/josm/nsis/locale/english.nsh
===================================================================
--- applications/editors/josm/nsis/locale/english.nsh	(revision 6070)
+++ applications/editors/josm/nsis/locale/english.nsh	(revision 6075)
@@ -18,5 +18,4 @@
 !insertmacro JOSM_MACRO_DEFAULT_STRING JOSM_SEC_JOSM "JOSM"
 !insertmacro JOSM_MACRO_DEFAULT_STRING JOSM_SEC_PLUGINS_GROUP "Plugins"
-!insertmacro JOSM_MACRO_DEFAULT_STRING JOSM_SEC_MAPPAINT_PLUGIN "mappaint"
 !insertmacro JOSM_MACRO_DEFAULT_STRING JOSM_SEC_WMS_PLUGIN  "WMS"
 !insertmacro JOSM_MACRO_DEFAULT_STRING JOSM_SEC_NAMEFINDER_PLUGIN  "namefinder"
@@ -28,5 +27,4 @@
 !insertmacro JOSM_MACRO_DEFAULT_STRING JOSM_SECDESC_JOSM "JOSM is the JAVA OpenStreetMap editor for .osm files."
 !insertmacro JOSM_MACRO_DEFAULT_STRING JOSM_SECDESC_PLUGINS_GROUP "An assortment of useful JOSM plugins."
-!insertmacro JOSM_MACRO_DEFAULT_STRING JOSM_SECDESC_MAPPAINT_PLUGIN "An alternative renderer for the map with colouring, line thickness, icons after tags."
 !insertmacro JOSM_MACRO_DEFAULT_STRING JOSM_SECDESC_WMS_PLUGIN  "Display background images from Web Map Service (WMS) sources."
 !insertmacro JOSM_MACRO_DEFAULT_STRING JOSM_SECDESC_NAMEFINDER_PLUGIN  "Add a 'Find places by their name' tab to the download dialog."
Index: applications/editors/josm/nsis/locale/german.nsh
===================================================================
--- applications/editors/josm/nsis/locale/german.nsh	(revision 6070)
+++ applications/editors/josm/nsis/locale/german.nsh	(revision 6075)
@@ -15,5 +15,4 @@
 !insertmacro JOSM_MACRO_DEFAULT_STRING JOSM_SEC_JOSM "JOSM"
 !insertmacro JOSM_MACRO_DEFAULT_STRING JOSM_SEC_PLUGINS_GROUP "Plugins"
-!insertmacro JOSM_MACRO_DEFAULT_STRING JOSM_SEC_MAPPAINT_PLUGIN "mappaint"
 !insertmacro JOSM_MACRO_DEFAULT_STRING JOSM_SEC_WMS_PLUGIN  "WMS"
 !insertmacro JOSM_MACRO_DEFAULT_STRING JOSM_SEC_NAMEFINDER_PLUGIN  "namefinder"
@@ -25,5 +24,4 @@
 !insertmacro JOSM_MACRO_DEFAULT_STRING JOSM_SECDESC_JOSM "JOSM ist der JAVA OpenStreetMap Editor für .osm Dateien."
 !insertmacro JOSM_MACRO_DEFAULT_STRING JOSM_SECDESC_PLUGINS_GROUP "Eine Auswahl an nützlichen JOSM Plugins."
-!insertmacro JOSM_MACRO_DEFAULT_STRING JOSM_SECDESC_MAPPAINT_PLUGIN "Ein alternativer Kartenrenderer mit Einfärbungen, Strichbreiten, Icons, ..."
 !insertmacro JOSM_MACRO_DEFAULT_STRING JOSM_SECDESC_WMS_PLUGIN  "Hintergrundbilder von Web Map Service (WMS) Quellen."
 !insertmacro JOSM_MACRO_DEFAULT_STRING JOSM_SECDESC_NAMEFINDER_PLUGIN  "Fügt eine 'Finde Orte über ihren Namen' Registerkarte zum Herunterladen Dialog hinzu."