Index: trunk/src/org/openstreetmap/josm/gui/history/AdjustmentSynchronizer.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/history/AdjustmentSynchronizer.java	(revision 6070)
+++ trunk/src/org/openstreetmap/josm/gui/history/AdjustmentSynchronizer.java	(revision 6084)
@@ -58,4 +58,5 @@
      *
      */
+    @Override
     public void adjustmentValueChanged(AdjustmentEvent e) {
         if (! enabledMap.get(e.getAdjustable()))
@@ -124,4 +125,5 @@
         //
         view.addItemListener(new ItemListener() {
+            @Override
             public void itemStateChanged(ItemEvent e) {
                 switch(e.getStateChange()) {
@@ -142,4 +144,5 @@
         observable.addObserver(
                 new Observer() {
+                    @Override
                     public void update(Observable o, Object arg) {
                         boolean sync = isParticipatingInSynchronizedScrolling(adjustable);
Index: trunk/src/org/openstreetmap/josm/gui/history/CoordinateInfoViewer.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/history/CoordinateInfoViewer.java	(revision 6070)
+++ trunk/src/org/openstreetmap/josm/gui/history/CoordinateInfoViewer.java	(revision 6084)
@@ -281,4 +281,5 @@
         }
 
+        @Override
         public void update(Observable o, Object arg) {
             refresh();
@@ -294,4 +295,5 @@
         }
 
+        @Override
         protected void build() {
             setLayout(new GridBagLayout());
@@ -319,4 +321,5 @@
         }
 
+        @Override
         protected void refresh() {
             HistoryOsmPrimitive p = getPrimitive();
Index: trunk/src/org/openstreetmap/josm/gui/history/HistoryBrowserDialog.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/history/HistoryBrowserDialog.java	(revision 6070)
+++ trunk/src/org/openstreetmap/josm/gui/history/HistoryBrowserDialog.java	(revision 6084)
@@ -122,4 +122,5 @@
     /* interface HistoryDataSetListener                                                   */
     /* ---------------------------------------------------------------------------------- */
+    @Override
     public void historyUpdated(HistoryDataSet source, PrimitiveId primitiveId) {
         if (primitiveId == null || primitiveId.equals(browser.getHistory().getPrimitiveId())) {
@@ -128,4 +129,5 @@
     }
 
+    @Override
     public void historyDataSetCleared(HistoryDataSet source) {
         closeAction.run();
@@ -146,4 +148,5 @@
         }
 
+        @Override
         public void actionPerformed(ActionEvent e) {
             run();
@@ -158,4 +161,5 @@
         }
 
+        @Override
         public void actionPerformed(ActionEvent e) {
             HistoryLoadTask task = new HistoryLoadTask();
Index: trunk/src/org/openstreetmap/josm/gui/history/HistoryBrowserDialogManager.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/history/HistoryBrowserDialogManager.java	(revision 6070)
+++ trunk/src/org/openstreetmap/josm/gui/history/HistoryBrowserDialogManager.java	(revision 6084)
@@ -124,7 +124,10 @@
     /* LayerChangeListener                                                           */
     /* ----------------------------------------------------------------------------- */
+    @Override
     public void activeLayerChange(Layer oldLayer, Layer newLayer) {}
+    @Override
     public void layerAdded(Layer newLayer) {}
 
+    @Override
     public void layerRemoved(Layer oldLayer) {
         // remove all history browsers if the number of layers drops to 0
Index: trunk/src/org/openstreetmap/josm/gui/history/HistoryBrowserModel.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/history/HistoryBrowserModel.java	(revision 6070)
+++ trunk/src/org/openstreetmap/josm/gui/history/HistoryBrowserModel.java	(revision 6084)
@@ -682,4 +682,5 @@
     /* DataSetListener                                                        */
     /* ---------------------------------------------------------------------- */
+    @Override
     public void nodeMoved(NodeMovedEvent event) {
         Node node = event.getNode();
@@ -689,4 +690,5 @@
     }
 
+    @Override
     public void primitivesAdded(PrimitivesAddedEvent event) {
         for (OsmPrimitive p: event.getPrimitives()) {
@@ -697,4 +699,5 @@
     }
 
+    @Override
     public void primitivesRemoved(PrimitivesRemovedEvent event) {
         for (OsmPrimitive p: event.getPrimitives()) {
@@ -705,4 +708,5 @@
     }
 
+    @Override
     public void relationMembersChanged(RelationMembersChangedEvent event) {
         Relation r = event.getRelation();
@@ -712,4 +716,5 @@
     }
 
+    @Override
     public void tagsChanged(TagsChangedEvent event) {
         OsmPrimitive prim = event.getPrimitive();
@@ -719,4 +724,5 @@
     }
 
+    @Override
     public void wayNodesChanged(WayNodesChangedEvent event) {
         Way way = event.getChangedWay();
@@ -726,4 +732,5 @@
     }
 
+    @Override
     public void dataChanged(DataChangedEvent event) {
         OsmPrimitive primitive = event.getDataset().getPrimitiveById(history.getId(), history.getType());
@@ -738,4 +745,5 @@
     }
 
+    @Override
     public void otherDatasetChange(AbstractDatasetChangedEvent event) {
         // Irrelevant
@@ -745,4 +753,5 @@
     /* LayerChangeListener                                                    */
     /* ---------------------------------------------------------------------- */
+    @Override
     public void activeLayerChange(Layer oldLayer, Layer newLayer) {
         if (oldLayer != null && oldLayer instanceof OsmDataLayer) {
@@ -768,5 +777,7 @@
     }
 
+    @Override
     public void layerAdded(Layer newLayer) {}
+    @Override
     public void layerRemoved(Layer oldLayer) {}
 
@@ -778,4 +789,5 @@
         private HistoryOsmPrimitive clone;
 
+        @Override
         public void visit(Node n) {
             clone = new HistoryNode(n.getId(), n.getVersion(), n.isVisible(), getCurrentUser(), 0, null, n.getCoor(), false);
@@ -783,4 +795,5 @@
         }
 
+        @Override
         public void visit(Relation r) {
             clone = new HistoryRelation(r.getId(), r.getVersion(), r.isVisible(), getCurrentUser(), 0, null, false);
@@ -792,4 +805,5 @@
         }
 
+        @Override
         public void visit(Way w) {
             clone = new HistoryWay(w.getId(), w.getVersion(), w.isVisible(), getCurrentUser(), 0, null, false);
Index: trunk/src/org/openstreetmap/josm/gui/history/NodeListTableCellRenderer.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/history/NodeListTableCellRenderer.java	(revision 6070)
+++ trunk/src/org/openstreetmap/josm/gui/history/NodeListTableCellRenderer.java	(revision 6084)
@@ -47,4 +47,5 @@
 
     // Warning: The model pads with null-rows to match the size of the opposite table. 'value' could be null
+    @Override
     public Component getTableCellRendererComponent(JTable table, Object value, boolean isSelected, boolean hasFocus,
             int row, int column) {
Index: trunk/src/org/openstreetmap/josm/gui/history/NodeListViewer.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/history/NodeListViewer.java	(revision 6070)
+++ trunk/src/org/openstreetmap/josm/gui/history/NodeListViewer.java	(revision 6084)
@@ -202,4 +202,5 @@
         }
 
+        @Override
         public void actionPerformed(ActionEvent e) {
             if (!isEnabled()) return;
@@ -248,4 +249,5 @@
         }
 
+        @Override
         public void actionPerformed(ActionEvent e) {
             if (!isEnabled()) return;
@@ -263,4 +265,5 @@
             }
             Runnable r = new Runnable() {
+                @Override
                 public void run() {
                     final History h = HistoryDataSet.getInstance().getHistory(primitiveId);
Index: trunk/src/org/openstreetmap/josm/gui/history/RelationMemberListTableCellRenderer.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/history/RelationMemberListTableCellRenderer.java	(revision 6070)
+++ trunk/src/org/openstreetmap/josm/gui/history/RelationMemberListTableCellRenderer.java	(revision 6084)
@@ -76,4 +76,5 @@
 
     // Warning: The model pads with null-rows to match the size of the opposite table. 'value' could be null
+    @Override
     public Component getTableCellRendererComponent(JTable table, Object value, boolean isSelected, boolean hasFocus,
             int row, int column) {
Index: trunk/src/org/openstreetmap/josm/gui/history/SelectionSynchronizer.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/history/SelectionSynchronizer.java	(revision 6070)
+++ trunk/src/org/openstreetmap/josm/gui/history/SelectionSynchronizer.java	(revision 6084)
@@ -26,4 +26,5 @@
     }
 
+    @Override
     public void valueChanged(ListSelectionEvent e) {
         DefaultListSelectionModel referenceModel = (DefaultListSelectionModel)e.getSource();
Index: trunk/src/org/openstreetmap/josm/gui/history/TagTableCellRenderer.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/history/TagTableCellRenderer.java	(revision 6070)
+++ trunk/src/org/openstreetmap/josm/gui/history/TagTableCellRenderer.java	(revision 6084)
@@ -75,4 +75,5 @@
     }
 
+    @Override
     public Component getTableCellRendererComponent(JTable table, Object value, boolean isSelected, boolean hasFocus,
             int row, int column) {
Index: trunk/src/org/openstreetmap/josm/gui/history/VersionInfoPanel.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/history/VersionInfoPanel.java	(revision 6070)
+++ trunk/src/org/openstreetmap/josm/gui/history/VersionInfoPanel.java	(revision 6084)
@@ -133,4 +133,5 @@
     }
 
+    @Override
     public void update(Observable o, Object arg) {
         lblInfo.setText(getInfoText());
Index: trunk/src/org/openstreetmap/josm/gui/history/VersionTable.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/history/VersionTable.java	(revision 6070)
+++ trunk/src/org/openstreetmap/josm/gui/history/VersionTable.java	(revision 6084)
@@ -82,4 +82,5 @@
     }
 
+    @Override
     public void update(Observable o, Object arg) {
         repaint();
@@ -164,4 +165,5 @@
     public static class RadioButtonRenderer extends JRadioButton implements TableCellRenderer {
 
+        @Override
         public Component getTableCellRendererComponent(JTable table, Object value, boolean isSelected, boolean hasFocus,int row,int column) {
             setSelected(value != null && (Boolean)value);
@@ -196,4 +198,5 @@
         }
 
+        @Override
         public void itemStateChanged(ItemEvent e) {
             fireEditingStopped();
@@ -205,4 +208,5 @@
             setHorizontalAlignment(hAlignment);
         }
+        @Override
         public Component getTableCellRendererComponent(JTable table, Object value, boolean isSelected, boolean hasFocus,int row,int column) {
             String v = value.toString();