Index: trunk/src/org/openstreetmap/josm/actions/AlignInLineAction.java
===================================================================
--- trunk/src/org/openstreetmap/josm/actions/AlignInLineAction.java	(revision 6245)
+++ trunk/src/org/openstreetmap/josm/actions/AlignInLineAction.java	(revision 6246)
@@ -132,5 +132,5 @@
             if(selectedWays.size() == 1) {
                 w = selectedWays.iterator().next();
-                if(w.containsNode(n) == false)
+                if (!w.containsNode(n))
                     // warning
                     return;
Index: trunk/src/org/openstreetmap/josm/actions/AutoScaleAction.java
===================================================================
--- trunk/src/org/openstreetmap/josm/actions/AutoScaleAction.java	(revision 6245)
+++ trunk/src/org/openstreetmap/josm/actions/AutoScaleAction.java	(revision 6246)
@@ -8,5 +8,7 @@
 import java.awt.event.ActionEvent;
 import java.awt.event.KeyEvent;
+import java.util.Arrays;
 import java.util.Collection;
+import java.util.Collections;
 import java.util.HashSet;
 import java.util.List;
@@ -38,5 +40,5 @@
 public class AutoScaleAction extends JosmAction {
 
-    public static final String[] MODES = {
+    public static final Collection<String> MODES = Collections.unmodifiableList(Arrays.asList(
         marktr("data"),
         marktr("layer"),
@@ -46,5 +48,5 @@
         marktr("problem"),
         marktr("previous"),
-        marktr("next")};
+        marktr("next")));
 
     private final String mode;
Index: trunk/src/org/openstreetmap/josm/actions/JoinAreasAction.java
===================================================================
--- trunk/src/org/openstreetmap/josm/actions/JoinAreasAction.java	(revision 6245)
+++ trunk/src/org/openstreetmap/josm/actions/JoinAreasAction.java	(revision 6246)
@@ -63,7 +63,5 @@
     public static class JoinAreasResult {
 
-        public boolean mergeSuccessful;
         public boolean hasChanges;
-        public boolean hasRelationProblems;
 
         public List<Multipolygon> polygons;
@@ -539,5 +537,4 @@
 
         result.hasChanges = true;
-        result.mergeSuccessful = true;
         result.polygons = polygons;
         return result;
Index: trunk/src/org/openstreetmap/josm/actions/JumpToAction.java
===================================================================
--- trunk/src/org/openstreetmap/josm/actions/JumpToAction.java	(revision 6245)
+++ trunk/src/org/openstreetmap/josm/actions/JumpToAction.java	(revision 6246)
@@ -64,5 +64,5 @@
                   BorderLayout.NORTH);
 
-        class osmURLListener implements DocumentListener {
+        class OsmURLListener implements DocumentListener {
             @Override public void changedUpdate(DocumentEvent e) { parseURL(); }
             @Override public void insertUpdate(DocumentEvent e) { parseURL(); }
@@ -70,5 +70,5 @@
         }
 
-        class osmLonLatListener implements DocumentListener {
+        class OsmLonLatListener implements DocumentListener {
             @Override public void changedUpdate(DocumentEvent e) { updateUrl(false); }
             @Override public void insertUpdate(DocumentEvent e) { updateUrl(false); }
@@ -76,9 +76,9 @@
         }
 
-        osmLonLatListener x=new osmLonLatListener();
+        OsmLonLatListener x = new OsmLonLatListener();
         lat.getDocument().addDocumentListener(x);
         lon.getDocument().addDocumentListener(x);
         zm.getDocument().addDocumentListener(x);
-        url.getDocument().addDocumentListener(new osmURLListener());
+        url.getDocument().addDocumentListener(new OsmURLListener());
 
         JPanel p = new JPanel(new GridBagLayout());
Index: trunk/src/org/openstreetmap/josm/actions/MapRectifierWMSmenuAction.java
===================================================================
--- trunk/src/org/openstreetmap/josm/actions/MapRectifierWMSmenuAction.java	(revision 6246)
+++ trunk/src/org/openstreetmap/josm/actions/MapRectifierWMSmenuAction.java	(revision 6246)
@@ -0,0 +1,226 @@
+// License: GPL. For details, see LICENSE file.
+package org.openstreetmap.josm.actions;
+
+import static org.openstreetmap.josm.tools.I18n.tr;
+
+import java.awt.GridBagConstraints;
+import java.awt.GridBagLayout;
+import java.awt.event.ActionEvent;
+import java.awt.event.KeyEvent;
+import java.util.ArrayList;
+import java.util.regex.Matcher;
+import java.util.regex.Pattern;
+
+import javax.swing.ButtonGroup;
+import javax.swing.JLabel;
+import javax.swing.JOptionPane;
+import javax.swing.JPanel;
+import javax.swing.JRadioButton;
+
+import org.openstreetmap.josm.Main;
+import org.openstreetmap.josm.data.imagery.ImageryInfo;
+import org.openstreetmap.josm.gui.ExtendedDialog;
+import org.openstreetmap.josm.gui.layer.WMSLayer;
+import org.openstreetmap.josm.tools.GBC;
+import org.openstreetmap.josm.tools.Shortcut;
+import org.openstreetmap.josm.tools.UrlLabel;
+import org.openstreetmap.josm.tools.Utils;
+import org.openstreetmap.josm.gui.widgets.JosmTextField;
+
+public class MapRectifierWMSmenuAction extends JosmAction {
+    /**
+     * Class that bundles all required information of a rectifier service
+     */
+    public static class RectifierService {
+        private final String name;
+        private final String url;
+        private final String wmsUrl;
+        private final Pattern urlRegEx;
+        private final Pattern idValidator;
+        public JRadioButton btn;
+
+        /**
+         * @param name Name of the rectifing service
+         * @param url URL to the service where users can register, upload, etc.
+         * @param wmsUrl URL to the WMS server where JOSM will grab the images. Insert __s__ where the ID should be placed
+         * @param urlRegEx a regular expression that determines if a given URL is one of the service and returns the WMS id if so
+         * @param idValidator regular expression that checks if a given ID is syntactically valid
+         */
+        public RectifierService(String name, String url, String wmsUrl, String urlRegEx, String idValidator) {
+            this.name = name;
+            this.url = url;
+            this.wmsUrl = wmsUrl;
+            this.urlRegEx = Pattern.compile(urlRegEx);
+            this.idValidator = Pattern.compile(idValidator);
+        }
+
+        public boolean isSelected() {
+            return btn.isSelected();
+        }
+    }
+
+    /**
+     * List of available rectifier services. May be extended from the outside
+     */
+    public ArrayList<RectifierService> services = new ArrayList<RectifierService>();
+
+    public MapRectifierWMSmenuAction() {
+        super(tr("Rectified Image..."),
+                "OLmarker",
+                tr("Download Rectified Images From Various Services"),
+                Shortcut.registerShortcut("imagery:rectimg",
+                        tr("Imagery: {0}", tr("Rectified Image...")),
+                        KeyEvent.CHAR_UNDEFINED, Shortcut.NONE),
+                true
+        );
+
+        // Add default services
+        services.add(
+                new RectifierService("Metacarta Map Rectifier",
+                        "http://labs.metacarta.com/rectifier/",
+                        "http://labs.metacarta.com/rectifier/wms.cgi?id=__s__&srs=EPSG:4326"
+                        + "&Service=WMS&Version=1.1.0&Request=GetMap&format=image/png&",
+                        // This matches more than the "classic" WMS link, so users can pretty much
+                        // copy any link as long as it includes the ID
+                        "labs\\.metacarta\\.com/(?:.*?)(?:/|=)([0-9]+)(?:\\?|/|\\.|$)",
+                "^[0-9]+$")
+        );
+        services.add(
+                new RectifierService("Map Warper",
+                        "http://mapwarper.net/",
+                        "http://mapwarper.net/maps/wms/__s__?request=GetMap&version=1.1.1"
+                        + "&styles=&format=image/png&srs=epsg:4326&exceptions=application/vnd.ogc.se_inimage&",
+                        // This matches more than the "classic" WMS link, so users can pretty much
+                        // copy any link as long as it includes the ID
+                        "(?:mapwarper\\.net|warper\\.geothings\\.net)/(?:.*?)/([0-9]+)(?:\\?|/|\\.|$)",
+                "^[0-9]+$")
+        );
+
+        // This service serves the purpose of "just this once" without forcing the user
+        // to commit the link to the preferences
+
+        // Clipboard content gets trimmed, so matching whitespace only ensures that this
+        // service will never be selected automatically.
+        services.add(new RectifierService(tr("Custom WMS Link"), "", "", "^\\s+$", ""));
+    }
+
+    @Override
+    public void actionPerformed(ActionEvent e) {
+        if (!isEnabled()) return;
+        JPanel panel = new JPanel(new GridBagLayout());
+        panel.add(new JLabel(tr("Supported Rectifier Services:")), GBC.eol());
+
+        JosmTextField tfWmsUrl = new JosmTextField(30);
+
+        String clip = Utils.getClipboardContent();
+        clip = clip == null ? "" : clip.trim();
+        ButtonGroup group = new ButtonGroup();
+
+        JRadioButton firstBtn = null;
+        for(RectifierService s : services) {
+            JRadioButton serviceBtn = new JRadioButton(s.name);
+            if(firstBtn == null) {
+                firstBtn = serviceBtn;
+            }
+            // Checks clipboard contents against current service if no match has been found yet.
+            // If the contents match, they will be inserted into the text field and the corresponding
+            // service will be pre-selected.
+            if(!clip.isEmpty() && tfWmsUrl.getText().isEmpty()
+                    && (s.urlRegEx.matcher(clip).find() || s.idValidator.matcher(clip).matches())) {
+                serviceBtn.setSelected(true);
+                tfWmsUrl.setText(clip);
+            }
+            s.btn = serviceBtn;
+            group.add(serviceBtn);
+            if(!s.url.isEmpty()) {
+                panel.add(serviceBtn, GBC.std());
+                panel.add(new UrlLabel(s.url, tr("Visit Homepage")), GBC.eol().anchor(GridBagConstraints.EAST));
+            } else {
+                panel.add(serviceBtn, GBC.eol().anchor(GridBagConstraints.WEST));
+            }
+        }
+
+        // Fallback in case no match was found
+        if(tfWmsUrl.getText().isEmpty() && firstBtn != null) {
+            firstBtn.setSelected(true);
+        }
+
+        panel.add(new JLabel(tr("WMS URL or Image ID:")), GBC.eol());
+        panel.add(tfWmsUrl, GBC.eol().fill(GridBagConstraints.HORIZONTAL));
+
+        ExtendedDialog diag = new ExtendedDialog(Main.parent,
+                tr("Add Rectified Image"),
+
+                new String[] {tr("Add Rectified Image"), tr("Cancel")});
+        diag.setContent(panel);
+        diag.setButtonIcons(new String[] {"OLmarker.png", "cancel.png"});
+
+        // This repeatedly shows the dialog in case there has been an error.
+        // The loop is break;-ed if the users cancels
+        outer: while(true) {
+            diag.showDialog();
+            int answer = diag.getValue();
+            // Break loop when the user cancels
+            if(answer != 1) {
+                break;
+            }
+
+            String text = tfWmsUrl.getText().trim();
+            // Loop all services until we find the selected one
+            for(RectifierService s : services) {
+                if(!s.isSelected()) {
+                    continue;
+                }
+
+                // We've reached the custom WMS URL service
+                // Just set the URL and hope everything works out
+                if(s.wmsUrl.isEmpty()) {
+                    addWMSLayer(s.name + " (" + text + ")", text);
+                    break outer;
+                }
+
+                // First try to match if the entered string as an URL
+                Matcher m = s.urlRegEx.matcher(text);
+                if(m.find()) {
+                    String id = m.group(1);
+                    String newURL = s.wmsUrl.replaceAll("__s__", id);
+                    String title = s.name + " (" + id + ")";
+                    addWMSLayer(title, newURL);
+                    break outer;
+                }
+                // If not, look if it's a valid ID for the selected service
+                if(s.idValidator.matcher(text).matches()) {
+                    String newURL = s.wmsUrl.replaceAll("__s__", text);
+                    String title = s.name + " (" + text + ")";
+                    addWMSLayer(title, newURL);
+                    break outer;
+                }
+
+                // We've found the selected service, but the entered string isn't suitable for
+                // it. So quit checking the other radio buttons
+                break;
+            }
+
+            // and display an error message. The while(true) ensures that the dialog pops up again
+            JOptionPane.showMessageDialog(Main.parent,
+                    tr("Couldn''t match the entered link or id to the selected service. Please try again."),
+                    tr("No valid WMS URL or id"),
+                    JOptionPane.ERROR_MESSAGE);
+            diag.setVisible(true);
+        }
+    }
+
+    /**
+     * Adds a WMS Layer with given title and URL
+     * @param title Name of the layer as it will shop up in the layer manager
+     * @param url URL to the WMS server
+     */
+    private void addWMSLayer(String title, String url) {
+        Main.main.addLayer(new WMSLayer(new ImageryInfo(title, url)));
+    }
+
+    @Override
+    protected void updateEnabledState() {
+        setEnabled(Main.isDisplayingMapView() && !Main.map.mapView.getAllLayers().isEmpty());
+    }
+}
Index: trunk/src/org/openstreetmap/josm/actions/Map_Rectifier_WMSmenuAction.java
===================================================================
--- trunk/src/org/openstreetmap/josm/actions/Map_Rectifier_WMSmenuAction.java	(revision 6245)
+++ 	(revision )
@@ -1,226 +1,0 @@
-// License: GPL. For details, see LICENSE file.
-package org.openstreetmap.josm.actions;
-
-import static org.openstreetmap.josm.tools.I18n.tr;
-
-import java.awt.GridBagConstraints;
-import java.awt.GridBagLayout;
-import java.awt.event.ActionEvent;
-import java.awt.event.KeyEvent;
-import java.util.ArrayList;
-import java.util.regex.Matcher;
-import java.util.regex.Pattern;
-
-import javax.swing.ButtonGroup;
-import javax.swing.JLabel;
-import javax.swing.JOptionPane;
-import javax.swing.JPanel;
-import javax.swing.JRadioButton;
-
-import org.openstreetmap.josm.Main;
-import org.openstreetmap.josm.data.imagery.ImageryInfo;
-import org.openstreetmap.josm.gui.ExtendedDialog;
-import org.openstreetmap.josm.gui.layer.WMSLayer;
-import org.openstreetmap.josm.tools.GBC;
-import org.openstreetmap.josm.tools.Shortcut;
-import org.openstreetmap.josm.tools.UrlLabel;
-import org.openstreetmap.josm.tools.Utils;
-import org.openstreetmap.josm.gui.widgets.JosmTextField;
-
-public class Map_Rectifier_WMSmenuAction extends JosmAction {
-    /**
-     * Class that bundles all required information of a rectifier service
-     */
-    public static class RectifierService {
-        private final String name;
-        private final String url;
-        private final String wmsUrl;
-        private final Pattern urlRegEx;
-        private final Pattern idValidator;
-        public JRadioButton btn;
-
-        /**
-         * @param name Name of the rectifing service
-         * @param url URL to the service where users can register, upload, etc.
-         * @param wmsUrl URL to the WMS server where JOSM will grab the images. Insert __s__ where the ID should be placed
-         * @param urlRegEx a regular expression that determines if a given URL is one of the service and returns the WMS id if so
-         * @param idValidator regular expression that checks if a given ID is syntactically valid
-         */
-        public RectifierService(String name, String url, String wmsUrl, String urlRegEx, String idValidator) {
-            this.name = name;
-            this.url = url;
-            this.wmsUrl = wmsUrl;
-            this.urlRegEx = Pattern.compile(urlRegEx);
-            this.idValidator = Pattern.compile(idValidator);
-        }
-
-        public boolean isSelected() {
-            return btn.isSelected();
-        }
-    }
-
-    /**
-     * List of available rectifier services. May be extended from the outside
-     */
-    public ArrayList<RectifierService> services = new ArrayList<RectifierService>();
-
-    public Map_Rectifier_WMSmenuAction() {
-        super(tr("Rectified Image..."),
-                "OLmarker",
-                tr("Download Rectified Images From Various Services"),
-                Shortcut.registerShortcut("imagery:rectimg",
-                        tr("Imagery: {0}", tr("Rectified Image...")),
-                        KeyEvent.CHAR_UNDEFINED, Shortcut.NONE),
-                true
-        );
-
-        // Add default services
-        services.add(
-                new RectifierService("Metacarta Map Rectifier",
-                        "http://labs.metacarta.com/rectifier/",
-                        "http://labs.metacarta.com/rectifier/wms.cgi?id=__s__&srs=EPSG:4326"
-                        + "&Service=WMS&Version=1.1.0&Request=GetMap&format=image/png&",
-                        // This matches more than the "classic" WMS link, so users can pretty much
-                        // copy any link as long as it includes the ID
-                        "labs\\.metacarta\\.com/(?:.*?)(?:/|=)([0-9]+)(?:\\?|/|\\.|$)",
-                "^[0-9]+$")
-        );
-        services.add(
-                new RectifierService("Map Warper",
-                        "http://mapwarper.net/",
-                        "http://mapwarper.net/maps/wms/__s__?request=GetMap&version=1.1.1"
-                        + "&styles=&format=image/png&srs=epsg:4326&exceptions=application/vnd.ogc.se_inimage&",
-                        // This matches more than the "classic" WMS link, so users can pretty much
-                        // copy any link as long as it includes the ID
-                        "(?:mapwarper\\.net|warper\\.geothings\\.net)/(?:.*?)/([0-9]+)(?:\\?|/|\\.|$)",
-                "^[0-9]+$")
-        );
-
-        // This service serves the purpose of "just this once" without forcing the user
-        // to commit the link to the preferences
-
-        // Clipboard content gets trimmed, so matching whitespace only ensures that this
-        // service will never be selected automatically.
-        services.add(new RectifierService(tr("Custom WMS Link"), "", "", "^\\s+$", ""));
-    }
-
-    @Override
-    public void actionPerformed(ActionEvent e) {
-        if (!isEnabled()) return;
-        JPanel panel = new JPanel(new GridBagLayout());
-        panel.add(new JLabel(tr("Supported Rectifier Services:")), GBC.eol());
-
-        JosmTextField tfWmsUrl = new JosmTextField(30);
-
-        String clip = Utils.getClipboardContent();
-        clip = clip == null ? "" : clip.trim();
-        ButtonGroup group = new ButtonGroup();
-
-        JRadioButton firstBtn = null;
-        for(RectifierService s : services) {
-            JRadioButton serviceBtn = new JRadioButton(s.name);
-            if(firstBtn == null) {
-                firstBtn = serviceBtn;
-            }
-            // Checks clipboard contents against current service if no match has been found yet.
-            // If the contents match, they will be inserted into the text field and the corresponding
-            // service will be pre-selected.
-            if(!clip.isEmpty() && tfWmsUrl.getText().isEmpty()
-                    && (s.urlRegEx.matcher(clip).find() || s.idValidator.matcher(clip).matches())) {
-                serviceBtn.setSelected(true);
-                tfWmsUrl.setText(clip);
-            }
-            s.btn = serviceBtn;
-            group.add(serviceBtn);
-            if(!s.url.isEmpty()) {
-                panel.add(serviceBtn, GBC.std());
-                panel.add(new UrlLabel(s.url, tr("Visit Homepage")), GBC.eol().anchor(GridBagConstraints.EAST));
-            } else {
-                panel.add(serviceBtn, GBC.eol().anchor(GridBagConstraints.WEST));
-            }
-        }
-
-        // Fallback in case no match was found
-        if(tfWmsUrl.getText().isEmpty() && firstBtn != null) {
-            firstBtn.setSelected(true);
-        }
-
-        panel.add(new JLabel(tr("WMS URL or Image ID:")), GBC.eol());
-        panel.add(tfWmsUrl, GBC.eol().fill(GridBagConstraints.HORIZONTAL));
-
-        ExtendedDialog diag = new ExtendedDialog(Main.parent,
-                tr("Add Rectified Image"),
-
-                new String[] {tr("Add Rectified Image"), tr("Cancel")});
-        diag.setContent(panel);
-        diag.setButtonIcons(new String[] {"OLmarker.png", "cancel.png"});
-
-        // This repeatedly shows the dialog in case there has been an error.
-        // The loop is break;-ed if the users cancels
-        outer: while(true) {
-            diag.showDialog();
-            int answer = diag.getValue();
-            // Break loop when the user cancels
-            if(answer != 1) {
-                break;
-            }
-
-            String text = tfWmsUrl.getText().trim();
-            // Loop all services until we find the selected one
-            for(RectifierService s : services) {
-                if(!s.isSelected()) {
-                    continue;
-                }
-
-                // We've reached the custom WMS URL service
-                // Just set the URL and hope everything works out
-                if(s.wmsUrl.isEmpty()) {
-                    addWMSLayer(s.name + " (" + text + ")", text);
-                    break outer;
-                }
-
-                // First try to match if the entered string as an URL
-                Matcher m = s.urlRegEx.matcher(text);
-                if(m.find()) {
-                    String id = m.group(1);
-                    String newURL = s.wmsUrl.replaceAll("__s__", id);
-                    String title = s.name + " (" + id + ")";
-                    addWMSLayer(title, newURL);
-                    break outer;
-                }
-                // If not, look if it's a valid ID for the selected service
-                if(s.idValidator.matcher(text).matches()) {
-                    String newURL = s.wmsUrl.replaceAll("__s__", text);
-                    String title = s.name + " (" + text + ")";
-                    addWMSLayer(title, newURL);
-                    break outer;
-                }
-
-                // We've found the selected service, but the entered string isn't suitable for
-                // it. So quit checking the other radio buttons
-                break;
-            }
-
-            // and display an error message. The while(true) ensures that the dialog pops up again
-            JOptionPane.showMessageDialog(Main.parent,
-                    tr("Couldn''t match the entered link or id to the selected service. Please try again."),
-                    tr("No valid WMS URL or id"),
-                    JOptionPane.ERROR_MESSAGE);
-            diag.setVisible(true);
-        }
-    }
-
-    /**
-     * Adds a WMS Layer with given title and URL
-     * @param title Name of the layer as it will shop up in the layer manager
-     * @param url URL to the WMS server
-     */
-    private void addWMSLayer(String title, String url) {
-        Main.main.addLayer(new WMSLayer(new ImageryInfo(title, url)));
-    }
-
-    @Override
-    protected void updateEnabledState() {
-        setEnabled(Main.isDisplayingMapView() && !Main.map.mapView.getAllLayers().isEmpty());
-    }
-}
Index: trunk/src/org/openstreetmap/josm/actions/downloadtasks/DownloadGpsTask.java
===================================================================
--- trunk/src/org/openstreetmap/josm/actions/downloadtasks/DownloadGpsTask.java	(revision 6245)
+++ trunk/src/org/openstreetmap/josm/actions/downloadtasks/DownloadGpsTask.java	(revision 6246)
@@ -161,5 +161,5 @@
             boolean merge = Main.pref.getBoolean("download.gps.mergeWithLocal", false);
             Layer active = Main.map.mapView.getActiveLayer();
-            if (active != null && active instanceof GpxLayer && (merge || ((GpxLayer)active).data.fromServer))
+            if (active instanceof GpxLayer && (merge || ((GpxLayer)active).data.fromServer))
                 return (GpxLayer) active;
             for (GpxLayer l : Main.map.mapView.getLayersOfType(GpxLayer.class)) {
Index: trunk/src/org/openstreetmap/josm/actions/mapmode/DrawAction.java
===================================================================
--- trunk/src/org/openstreetmap/josm/actions/mapmode/DrawAction.java	(revision 6245)
+++ trunk/src/org/openstreetmap/josm/actions/mapmode/DrawAction.java	(revision 6246)
@@ -179,5 +179,5 @@
 
         // update selection to reflect which way being modified
-        if (currentBaseNode != null && getCurrentDataSet() != null && getCurrentDataSet().getSelected().isEmpty() == false) {
+        if (currentBaseNode != null && getCurrentDataSet() != null && !getCurrentDataSet().getSelected().isEmpty()) {
             Way continueFrom = getWayForNode(currentBaseNode);
             if (alt && continueFrom != null && (!currentBaseNode.isSelected() || continueFrom.isSelected())) {
Index: trunk/src/org/openstreetmap/josm/actions/mapmode/ParallelWayAction.java
===================================================================
--- trunk/src/org/openstreetmap/josm/actions/mapmode/ParallelWayAction.java	(revision 6245)
+++ trunk/src/org/openstreetmap/josm/actions/mapmode/ParallelWayAction.java	(revision 6246)
@@ -310,5 +310,5 @@
             return;
 
-        if(sanityCheck() == false)
+        if (!sanityCheck())
             return;
 
@@ -586,8 +586,4 @@
     }
 
-    private String getStringPref(String subKey) {
-        return getStringPref(subKey, null);
-    }
-
     @Override
     public void preferenceChanged(PreferenceChangeEvent e) {
Index: trunk/src/org/openstreetmap/josm/actions/mapmode/SelectAction.java
===================================================================
--- trunk/src/org/openstreetmap/josm/actions/mapmode/SelectAction.java	(revision 6245)
+++ trunk/src/org/openstreetmap/josm/actions/mapmode/SelectAction.java	(revision 6246)
@@ -312,5 +312,5 @@
                 // only show merge to node cursor if nearby node and that node is currently
                 // not being dragged
-                final boolean hasTarget = osm != null && osm instanceof Node && !osm.isSelected();
+                final boolean hasTarget = osm instanceof Node && !osm.isSelected();
                 c = hasTarget ? "merge_to_node" : "merge";
                 break;