Index: trunk/src/org/openstreetmap/josm/gui/history/HistoryBrowserDialogManager.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/history/HistoryBrowserDialogManager.java	(revision 6267)
+++ trunk/src/org/openstreetmap/josm/gui/history/HistoryBrowserDialogManager.java	(revision 6316)
@@ -9,4 +9,5 @@
 import java.util.Collection;
 import java.util.HashMap;
+import java.util.List;
 import java.util.Map;
 
@@ -102,5 +103,5 @@
      */
     public void hideAll() {
-        ArrayList<HistoryBrowserDialog> dialogs = new ArrayList<HistoryBrowserDialog>();
+        List<HistoryBrowserDialog> dialogs = new ArrayList<HistoryBrowserDialog>();
         dialogs.addAll(this.dialogs.values());
         for (HistoryBrowserDialog dialog: dialogs) {
Index: trunk/src/org/openstreetmap/josm/gui/history/HistoryBrowserModel.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/history/HistoryBrowserModel.java	(revision 6267)
+++ trunk/src/org/openstreetmap/josm/gui/history/HistoryBrowserModel.java	(revision 6316)
@@ -8,4 +8,5 @@
 import java.util.Collections;
 import java.util.HashSet;
+import java.util.List;
 import java.util.Observable;
 
@@ -553,5 +554,5 @@
     public class TagTableModel extends AbstractTableModel {
 
-        private ArrayList<String> keys;
+        private List<String> keys;
         private PointInTimeType pointInTimeType;
 
Index: trunk/src/org/openstreetmap/josm/gui/history/HistoryLoadTask.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/history/HistoryLoadTask.java	(revision 6267)
+++ trunk/src/org/openstreetmap/josm/gui/history/HistoryLoadTask.java	(revision 6316)
@@ -10,4 +10,5 @@
 import java.util.Collection;
 import java.util.HashSet;
+import java.util.Set;
 
 import org.openstreetmap.josm.data.osm.OsmPrimitive;
@@ -48,5 +49,5 @@
     private boolean canceled = false;
     private Exception lastException  = null;
-    private HashSet<PrimitiveId> toLoad;
+    private Set<PrimitiveId> toLoad;
     private HistoryDataSet loadedData;
     private OsmServerHistoryReader reader = null;
Index: trunk/src/org/openstreetmap/josm/gui/history/RelationMemberListTableCellRenderer.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/history/RelationMemberListTableCellRenderer.java	(revision 6267)
+++ trunk/src/org/openstreetmap/josm/gui/history/RelationMemberListTableCellRenderer.java	(revision 6316)
@@ -7,4 +7,5 @@
 import java.awt.Component;
 import java.util.HashMap;
+import java.util.Map;
 
 import javax.swing.ImageIcon;
@@ -30,5 +31,5 @@
     public final static Color BGCOLOR_SELECTED = new Color(143,170,255);
 
-    private HashMap<OsmPrimitiveType, ImageIcon> icons;
+    private Map<OsmPrimitiveType, ImageIcon> icons;
 
     public RelationMemberListTableCellRenderer(){
Index: trunk/src/org/openstreetmap/josm/gui/history/SelectionSynchronizer.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/history/SelectionSynchronizer.java	(revision 6267)
+++ trunk/src/org/openstreetmap/josm/gui/history/SelectionSynchronizer.java	(revision 6316)
@@ -3,4 +3,5 @@
 
 import java.util.ArrayList;
+import java.util.List;
 
 import javax.swing.DefaultListSelectionModel;
@@ -11,6 +12,9 @@
 public class SelectionSynchronizer implements ListSelectionListener {
 
-    private ArrayList<ListSelectionModel> participants;
+    private List<ListSelectionModel> participants;
 
+    /**
+     * Constructs a new {@code SelectionSynchronizer}.
+     */
     public SelectionSynchronizer() {
         participants = new ArrayList<ListSelectionModel>();
Index: trunk/src/org/openstreetmap/josm/gui/history/TwoColumnDiff.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/history/TwoColumnDiff.java	(revision 6267)
+++ trunk/src/org/openstreetmap/josm/gui/history/TwoColumnDiff.java	(revision 6316)
@@ -5,4 +5,5 @@
 import java.awt.Color;
 import java.util.ArrayList;
+import java.util.List;
 
 import org.openstreetmap.josm.gui.history.TwoColumnDiff.Item.DiffItemType;
@@ -50,6 +51,6 @@
     }
 
-    public ArrayList<Item> referenceDiff;
-    public ArrayList<Item> currentDiff;
+    public List<Item> referenceDiff;
+    public List<Item> currentDiff;
     Object[] reference;
     Object[] current;